<?php
//用户管理只有[1001]用户可使用；
session_start();
$page_title="用户管理—恩格会计管理系统";
//用户为空时转到登录页面并中止执行程序；
if($_SESSION[username]==""){
	echo '<script language="javascript" type="text/javascript">window.location.href="login.php";</script>';
	exit();
}
//用户不为管理员时提示权限不够；
if($_SESSION[userid]!=="1001"){
	include("header.php");
	echo '<table width="100%" bgcolor="yellow">
		  <tr>
		  <td width="18px">
			<img src="picture/alert.gif" width="16" height="16" /></td>
		  <td>
		  您的权限不够，无法正常显示本页内容。如有需要，请联系管理员。
		  </td>
		  </tr>
		  </table>';
	include("footer.php");
	exit();
}

echo '<script>document.title="处理结果通知";</script>';

//新增数据开始；
include("cnn.php");
$strsql='insert into user(id,name,password,telephone) values("'.$_POST["id"].'","'.$_POST["name"].'","'.md5("123456").'","'.$_POST["telephone"].'")';
$mysqli->query($strsql);
$afr=$mysqli->affected_rows;

if($afr==1){ //如果存在数据；

    //成功添加用户后自动向权限表中加入权限记录；
	$mysqli->query("insert into power values('".$_POST["id"]."','0','会计科目','0')");
	$mysqli->query("insert into power values('".$_POST["id"]."','1','现金流量','0')");
	$mysqli->query("insert into power values('".$_POST["id"]."','2','客户','0')");
	$mysqli->query("insert into power values('".$_POST["id"]."','3','个人','0')");
	$mysqli->query("insert into power values('".$_POST["id"]."','4','存货','0')");
	$mysqli->query("insert into power values('".$_POST["id"]."','5','供应商','0')");
	$mysqli->query("insert into power values('".$_POST["id"]."','6','部门','0')");
	$mysqli->query("insert into power values('".$_POST["id"]."','7','核算项目','0')");
	$mysqli->query("insert into power values('".$_POST["id"]."','8','账务维护','0')");
	$mysqli->query("insert into power values('".$_POST["id"]."','9','账务查询','0')");
	
    echo '新增成功；';
	
}else{
    echo '新增失败；<a href="#" onclick="javascript:history.back()">返回</a>';
}
$mysqli->close();
?>